using System;
using Server;
using Server.Network;

namespace Server.Items
{
	public class FarmableNightshade : FarmableCrop
	{
		public static int GetCropID()
		{
			return Utility.RandomList( 0x18E5, 0x18E6 );
		}

		public override Item GetCropObject()
		{
			Item item = new Nightshade();
			item.Amount = 1;
			return item;
		}

		public override int GetPickedID()
		{
			return 0xCAF;
		}

		[Constructable]
		public FarmableNightshade() : base( GetCropID() )
		{
			Name = "nightshade";
		}

		public FarmableNightshade( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadEncodedInt();
		}
	}
}